package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProDictionarysControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProDictionarysDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProDictionarysUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProDictionarysUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProDictionarysGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProDictionarysGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProDictionarysQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProDictionarysDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProDictionarysUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("id","id");//Id
                params.put("name","name");//名称
                params.put("code","code");//code
                params.put("parentid","parentid");//父Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaf","leaf");//是否叶子
                params.put("icon","icon");//图标
                params.put("cls","cls");//层叠样式
                params.put("type_s","type_s");//类型简称
                params.put("type_a","type_a");//类型全称


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProDictionarysForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProDictionarys.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProDictionarysForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProDictionarys.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProDictionarysForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"prodictionarys/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProDictionarys.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
